Bug 93972 - Update port: astro/xmoontool to 3.0.3
Summary: Update port: astro/xmoontool to 3.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-01 08:50 UTC by Frank W. Josellis
Modified: 2006-03-24 10:10 UTC (History)
0 users

See Also:


Attachments
xmoontool-3.0.3.patch (1.36 KB, patch)
2006-03-01 08:50 UTC, Frank W. Josellis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frank W. Josellis 2006-03-01 08:50:03 UTC
Regular update to version 3.0.3. The optional libnova support is enabled
by default where possible, i.e., for FreeBSD 5.3 and later.
Comment 1 Thierry Thomas freebsd_committer 2006-03-22 21:50:17 UTC
State Changed
From-To: open->feedback


This port does not respect CFLAGS, CC nor PREFIX; what about the 
following patch? (Since I'm there, reorganize Makefile) 

--- xmoontool.diff begins here --- 
diff -urN astro/xmoontool.orig/Makefile astro/xmoontool/Makefile 
--- astro/xmoontool.orig/Makefile	Tue Jan 31 20:44:26 2006 
+++ astro/xmoontool/Makefile	Wed Mar 22 22:33:50 2006 
@@ -6,14 +6,13 @@ 
# 

PORTNAME=	xmoontool 
-PORTVERSION=	3.0.2 
+PORTVERSION=	3.0.3 
CATEGORIES=	astro 
MASTER_SITES=	http://www.senax.net/xmoontool/ 

MAINTAINER=	frank@dynamical-systems.org 
COMMENT=	A version of John Walker's classical moontool for X11/Motif 

-USE_REINPLACE=	yes 
USE_MOTIF=	yes 
USE_X_PREFIX=	yes 

@@ -22,6 +21,21 @@ 
PLIST_FILES=	bin/xmoontool 

.include <bsd.port.pre.mk> 
+ 
+.if ${OSVERSION} < 503000	# libnova currently not available here! 
+WITHOUT_LIBNOVA=	yes 
+.endif 
+ 
+.if defined(WITHOUT_LIBNOVA) 
+MAKE_ENV+=	WITHOUT_LIBNOVA=yes 
+.else 
+LIB_DEPENDS+=	nova:${PORTSDIR}/astro/libnova 
+.endif 
+ 
+pre-everything:: 
+.if !defined(WITHOUT_LIBNOVA) 
+	@${ECHO_MSG} "You can disable libnova support by defining WITHOUT_LIBNOVA" 
+.endif 

pre-configure: 
.if !defined(WITHOUT_DEFAULT_COLOR) 
diff -urN astro/xmoontool.orig/distinfo astro/xmoontool/distinfo 
--- astro/xmoontool.orig/distinfo	Tue Jan 31 20:44:26 2006 
+++ astro/xmoontool/distinfo	Wed Mar 22 22:29:21 2006 
@@ -1,3 +1,3 @@ 
-MD5 (xmoontool-3.0.2.tar.gz) = 5556d08574f25a6098858343b702d343 
-SHA256 (xmoontool-3.0.2.tar.gz) = eb5eeb4da988e62dfadcbf7189e072cb9c83b62e005130e84621a5ad487b2c8b 
-SIZE (xmoontool-3.0.2.tar.gz) = 20394 
+MD5 (xmoontool-3.0.3.tar.gz) = 1688d1176d197c1c4f28711e410a28e3 
+SHA256 (xmoontool-3.0.3.tar.gz) = eda8312eedf86116e2b8289ce7c7e3e93ea45f621b1c13a187aa2d3885704d32 
+SIZE (xmoontool-3.0.3.tar.gz) = 24354 
diff -urN astro/xmoontool.orig/files/patch-Makefile astro/xmoontool/files/patch-Makefile 
--- astro/xmoontool.orig/files/patch-Makefile	Thu Jan  1 01:00:00 1970 
+++ astro/xmoontool/files/patch-Makefile	Wed Mar 22 22:42:12 2006 
@@ -0,0 +1,22 @@ 
+--- Makefile.orig	Fri Feb 24 23:00:24 2006 
++++ Makefile	Wed Mar 22 22:41:40 2006 
+@@ -8,14 +8,14 @@ 
+ LOCALBASE?=	/usr/local 
+ X11BASE?= 	/usr/X11R6 
+  
+-CC= 		gcc 
+-CFLAGS= 	-O2 -Wall 
+-LDFLAGS=	-lXm -lXt -lX11 -lm 
++#CC= 		gcc 
++#CFLAGS= 	-O2 -Wall 
++LDFLAGS+=	-lXm -lXt -lX11 -lm 
+ DEFINES?= 	-DDEFAULT_COLOR 
+ ALL_CFLAGS= 	$(CFLAGS) $(DEFINES) -I$(X11BASE)/include -L$(X11BASE)/lib 
+  
+-bindir= 	$(X11BASE)/bin 
+-mandir= 	$(X11BASE)/man 
++bindir= 	$(PREFIX)/bin 
++mandir= 	$(PREFIX)/man 
+ mandir1= 	$(mandir)/man1 
+ catdir1= 	$(mandir)/cat1 
+  
--- xmoontool.diff ends here --- 



Comment 2 Thierry Thomas freebsd_committer 2006-03-22 21:50:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 3 Frank W. Josellis 2006-03-23 18:38:03 UTC
I guess a copy of the message should have been addressed to bug-followup, 
so here it is.

---------- Forwarded message ----------
Date: Thu, 23 Mar 2006 14:29:12 +0100 (CET)
From: Frank W. Josellis <frank@dynamical-systems.org>
To: Thierry Thomas <thierry@FreeBSD.org>
Cc: freebsd-ports-bugs@FreeBSD.org
Subject: Re: ports/93972: Update port: astro/xmoontool to 3.0.3



On Wed, 22 Mar 2006, Thierry Thomas wrote:

> This port does not respect CFLAGS, CC nor PREFIX; what about the
> following patch? (Since I'm there, reorganize Makefile)

You are right, but please note that patching PREFIX into the tarball's 
Makefile has no effect on the port. It's only the install target that 
involves PREFIX. This isn't used, as the port's installation is solely 
carried out by do-install in the port's Makefile.

Well, I considered the tarball's CC and CFLAGS settings as acceptable for 
the port and couldn't imagine a situation where it is essential to have 
them overwritten. But I suppose you are more acquainted with the formal 
requirements on FreeBSD ports, so I better leave it to you. If you feel 
it's an advantage which justifies the patch, I won't protest.

I wasn't yet aware that USE_REINPLACE meanwhile became obsolete, but I'll 
know in future.

Thanks!

Frank Josellis
Comment 4 Thierry Thomas freebsd_committer 2006-03-24 10:02:24 UTC
On Thu 23 mar 06 at 14:29:12 +0100, Frank W. Josellis <frank@dynamical-systems.org>
 wrote:
> > This port does not respect CFLAGS, CC nor PREFIX; what about the
> > following patch? (Since I'm there, reorganize Makefile)
> 
> You are right, but please note that patching PREFIX into the tarball's 
> Makefile has no effect on the port. It's only the install target that 
> involves PREFIX. This isn't used, as the port's installation is solely 
> carried out by do-install in the port's Makefile.

Oops! I missed that...

> Well, I considered the tarball's CC and CFLAGS settings as acceptable for 
> the port and couldn't imagine a situation where it is essential to have 
> them overwritten. But I suppose you are more acquainted with the formal 
> requirements on FreeBSD ports, so I better leave it to you. If you feel 
> it's an advantage which justifies the patch, I won't protest.

Thanks for your feedback.
-- 
Th. Thomas.
Comment 5 Thierry Thomas freebsd_committer 2006-03-24 10:05:01 UTC
State Changed
From-To: feedback->closed


Committed, thanks!